Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-gtk-3.0/inteldlg.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations | Functions | Variables
inteldlg.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <gtk/gtk.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "shared.h"`
`#include "support.h"`
`#include "government.h"`
`#include "packets.h"`
`#include "player.h"`
`#include "research.h"`
`#include "client_main.h"`
`#include "options.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "mapview.h"`
`#include "inteldlg.h"`
`#include "speclist.h"`

Go to the source code of this file.

## Data Structures

struct | intel_dialog
struct | intel_wonder_dialog

## Macros

#define | SPECLIST_TAG dialog
#define | SPECLIST_TYPE struct intel_dialog
#define | dialog_list_iterate(dialoglist, pdialog) TYPED_LIST_ITERATE(struct intel_dialog, dialoglist, pdialog)
#define | dialog_list_iterate_end LIST_ITERATE_END
#define | SPECLIST_TAG wonder_dialog
#define | SPECLIST_TYPE struct intel_wonder_dialog
#define | wonder_dialog_list_iterate(dialoglist, pdialog) TYPED_LIST_ITERATE(struct intel_wonder_dialog, dialoglist, pdialog)
#define | wonder_dialog_list_iterate_end LIST_ITERATE_END

## Enumerations

enum | table_label { LABEL_RULER , LABEL_GOVERNMENT , LABEL_CAPITAL , LABEL_GOLD , LABEL_SEP1 , LABEL_TAX , LABEL_SCIENCE , LABEL_LUXURY , LABEL_SEP2 , LABEL_RESEARCHING , LABEL_CULTURE , LABEL_LAST }

## Functions

static struct intel_dialog * | create_intel_dialog (struct player *p)
static struct intel_wonder_dialog * | create_intel_wonder_dialog (struct player *p)
void | intel_dialog_init (void)
void | intel_dialog_done (void)
static struct intel_dialog * | get_intel_dialog (struct player *pplayer)
static struct intel_wonder_dialog * | get_intel_wonder_dialog (struct player *pplayer)
void | popup_intel_dialog (struct player *p)
void | popup_intel_wonder_dialog (struct player *p)
static void | intel_destroy_callback (GtkWidget *w, gpointer data)
static void | intel_wonder_destroy_callback (GtkWidget *w, gpointer data)
void | close_intel_dialog (struct player *p)
void | close_intel_wonder_dialog (struct player *p)
void | update_intel_dialog (struct player *p)
void | update_intel_wonder_dialog (struct player *p)

## Variables

static const char * | table_text []
static struct dialog_list * | dialog_list
static struct wonder_dialog_list * | wonder_dialogs

## Macro Definition Documentation

## ◆ dialog_list_iterate

#define dialog_list_iterate | ( |  | dialoglist,
|  |  | pdialog
| ) |  | TYPED_LIST_ITERATE(struct intel_dialog, dialoglist, pdialog)

Definition at line 90 of file inteldlg.c.

## ◆ dialog_list_iterate_end

#define dialog_list_iterate_end LIST_ITERATE_END

Definition at line 92 of file inteldlg.c.

## ◆ SPECLIST_TAG [1/2]

#define SPECLIST_TAG dialog

Definition at line 86 of file inteldlg.c.

## ◆ SPECLIST_TAG [2/2]

#define SPECLIST_TAG wonder_dialog

Definition at line 86 of file inteldlg.c.

## ◆ SPECLIST_TYPE [1/2]

#define SPECLIST_TYPE struct intel_dialog

Definition at line 87 of file inteldlg.c.

## ◆ SPECLIST_TYPE [2/2]

#define SPECLIST_TYPE struct intel_wonder_dialog

Definition at line 87 of file inteldlg.c.

## ◆ wonder_dialog_list_iterate

#define wonder_dialog_list_iterate | ( |  | dialoglist,
|  |  | pdialog
| ) |  | TYPED_LIST_ITERATE(struct intel_wonder_dialog, dialoglist, pdialog)

Definition at line 106 of file inteldlg.c.

## ◆ wonder_dialog_list_iterate_end

#define wonder_dialog_list_iterate_end LIST_ITERATE_END

Definition at line 108 of file inteldlg.c.

## Enumeration Type Documentation

## ◆ table_label

enum table_label

Enumerator
LABEL_RULER |
LABEL_GOVERNMENT |
LABEL_CAPITAL |
LABEL_GOLD |
LABEL_SEP1 |
LABEL_TAX |
LABEL_SCIENCE |
LABEL_LUXURY |
LABEL_SEP2 |
LABEL_RESEARCHING |
LABEL_CULTURE |
LABEL_LAST |

Definition at line 61 of file inteldlg.c.

## Function Documentation

## ◆ close_intel_dialog()

void close_intel_dialog | ( | struct player * | p | ) |

Close an intelligence dialog for the given player.

Definition at line 222 of file inteldlg.c.

Referenced by handle_player_remove().

## ◆ close_intel_wonder_dialog()

void close_intel_wonder_dialog | ( | struct player * | p | ) |

Close an wonders list dialog for the given player.

Definition at line 231 of file inteldlg.c.

## ◆ create_intel_dialog()

static struct intel_dialog * create_intel_dialog | ( | struct player * | p | ) |

static

Create new intelligence dialog between client user and player given as parameter.

Definition at line 242 of file inteldlg.c.

Referenced by popup_intel_dialog().

## ◆ create_intel_wonder_dialog()

static struct intel_wonder_dialog * create_intel_wonder_dialog | ( | struct player * | p | ) |

static

Create new wonders list dialog between client user and player given as parameter.

Definition at line 377 of file inteldlg.c.

Referenced by popup_intel_wonder_dialog().

## ◆ get_intel_dialog()

static struct intel_dialog * get_intel_dialog | ( | struct player * | pplayer | ) |

static

Get intelligence dialog between client user and other player passed as parameter.

Definition at line 137 of file inteldlg.c.

Referenced by close_intel_dialog(), intel_window_dlg_callback(), popdown_intel_dialog(), popup_intel_dialog(), and update_intel_dialog().

## ◆ get_intel_wonder_dialog()

static struct intel_wonder_dialog * get_intel_wonder_dialog | ( | struct player * | pplayer | ) |

static

Get wonder list dialog between client user and other player passed as parameter.

Definition at line 152 of file inteldlg.c.

Referenced by close_intel_wonder_dialog(), popup_intel_wonder_dialog(), and update_intel_wonder_dialog().

## ◆ intel_destroy_callback()

static void intel_destroy_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

Intelligence dialog destruction requested

Definition at line 198 of file inteldlg.c.

Referenced by close_intel_dialog(), and create_intel_dialog().

## ◆ intel_dialog_done()

void intel_dialog_done | ( | void |  | ) |

Free resources allocated for intelligence dialogs

Definition at line 127 of file inteldlg.c.

Referenced by ui_main(), and ui_main().

## ◆ intel_dialog_init()

void intel_dialog_init | ( | void |  | ) |

Initialize intelligence dialogs

Definition at line 118 of file inteldlg.c.

Referenced by activate_gui(), ui_main(), and ui_main().

## ◆ intel_wonder_destroy_callback()

static void intel_wonder_destroy_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

Wonders list dialog destruction requested

Definition at line 210 of file inteldlg.c.

Referenced by close_intel_wonder_dialog(), and create_intel_wonder_dialog().

## ◆ popup_intel_dialog()

void popup_intel_dialog | ( | struct player * | p | ) |

Open intelligence dialog

Definition at line 166 of file inteldlg.c.

Referenced by button_press_callback(), left_button_press_callback(), player_nation_callback(), players_intel_callback(), and players_intel_callback().

## ◆ popup_intel_wonder_dialog()

void popup_intel_wonder_dialog | ( | struct player * | p | ) |

Open wonder list dialog

Definition at line 182 of file inteldlg.c.

Referenced by players_intel_wonder_callback(), and players_intel_wonder_callback().

## ◆ update_intel_dialog()

void update_intel_dialog | ( | struct player * | p | ) |

Update the intelligence dialog for the given player. This is called by the core client code when that player's information changes.

Definition at line 460 of file inteldlg.c.

Referenced by handle_player_info(), and popup_intel_dialog().

## ◆ update_intel_wonder_dialog()

void update_intel_wonder_dialog | ( | struct player * | p | ) |

Update the wonders list dialog for the given player.

Definition at line 634 of file inteldlg.c.

Referenced by popup_intel_wonder_dialog(), and update_intel_dialog().

## Variable Documentation

## ◆ dialog_list

struct dialog_list* dialog_list

static

Definition at line 110 of file inteldlg.c.

Referenced by create_intel_dialog(), get_intel_dialog(), intel_destroy_callback(), intel_dialog_done(), intel_dialog_init(), popdown_intel_dialog(), and popdown_intel_dialogs().

## ◆ table_text

const char* table_text[]

static

Initial value:
= {
N_("Ruler:"),
N_("Government:"),
N_("Capital:"),
N_("Gold:"),
NULL,
N_("Tax:"),
N_("Science:"),
N_("Luxury:"),
NULL,
N_("Researching:"),
}
N_
#define N_(String)
Definition fcintl.h:69

Definition at line 47 of file inteldlg.c.

Referenced by create_intel_dialog().

## ◆ wonder_dialogs

struct wonder_dialog_list* wonder_dialogs

static

Definition at line 112 of file inteldlg.c.

Referenced by create_intel_wonder_dialog(), get_intel_wonder_dialog(), intel_dialog_done(), intel_dialog_init(), and intel_wonder_destroy_callback().